Bug 1144318 - missing /usr/bin/x86_64-suse-linux-gnu-pkg-config
missing /usr/bin/x86_64-suse-linux-gnu-pkg-config
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Development
Current
x86-64 openSUSE Factory
: P5 - None : Normal (vote)
: ---
Assigned To: Neal Gompa
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-05 12:27 UTC by Hodong Kim
Modified: 2022-01-06 16:35 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hodong Kim 2019-08-05 12:27:03 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101 Firefox/60.0
Build Identifier: 

Hello. I get an error when compiling.

FileNotFoundError: [Errno 2] No such file or directory: '/usr/bin/x86_64-suse-linux-gnu-pkg-config': '/usr/bin/x86_64-suse-linux-gnu-pkg-config'

The pkgconf-pkg-conf provides

'/usr/bin/x86_64-suse-linux-pkg-config'

instead of

'/usr/bin/x86_64-suse-linux-gnu-pkg-config'

Please provide '/usr/bin/x86_64-suse-linux-gnu-pkg-config'

---

pkgconf-pkg-config  1.6.1-2.1  opensuse-tumbleweed-oss

Reproducible: Always




make[2]: Entering directory '/builddir/build/BUILD/nimf-2019.07.27/docs'
  DOC   Preparing build
  DOC   Building XML
  DOC   Scanning header files
  DOC   Introspecting gobjects
  DOC   Building XML
./nimf-unused.txt:1: warning: 4 unused declarations. They should be added to nimf-sections.txt in the appropriate place.
  DOC   Building HTML
  DOC   Fixing cross-references
Traceback (most recent call last):
  File "/usr/bin/gtkdoc-fixxref", line 57, in <module>
    fixxref.Run(options)
  File "/usr/share/gtk-doc/python/gtkdoc/fixxref.py", line 55, in Run
    LoadIndicies(options.module_dir, options.html_dir, options.extra_dir)
  File "/usr/share/gtk-doc/python/gtkdoc/fixxref.py", line 77, in LoadIndicies
    dir = common.GetModuleDocDir('glib-2.0')
  File "/usr/share/gtk-doc/python/gtkdoc/common.py", line 107, in GetModuleDocDir
    path = subprocess.check_output([config.pkg_config, '--variable=prefix', module_name], universal_newlines=True)
  File "/usr/lib64/python3.7/subprocess.py", line 395, in check_output
    **kwargs).stdout
  File "/usr/lib64/python3.7/subprocess.py", line 472, in run
    with Popen(*popenargs, **kwargs) as process:
  File "/usr/lib64/python3.7/subprocess.py", line 775, in __init__
    restore_signals, start_new_session)
  File "/usr/lib64/python3.7/subprocess.py", line 1522, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/bin/x86_64-suse-linux-gnu-pkg-config': '/usr/bin/x86_64-suse-linux-gnu-pkg-config'
make[2]: Leaving directory '/builddir/build/BUILD/nimf-2019.07.27/docs'
make[2]: *** [Makefile:756: html-build.stamp] Error 1
make[1]: *** [Makefile:512: all-recursive] Error 1
make[1]: Leaving directory '/builddir/build/BUILD/nimf-2019.07.27'
make: *** [Makefile:444: all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.objkj8 (%build)
Comment 1 Swamp Workflow Management 2019-08-05 13:30:06 UTC
This is an autogenerated message for OBS integration:
This bug (1144318) was mentioned in
https://build.opensuse.org/request/show/721058 Factory / pkgconf
Comment 2 Neal Gompa 2019-08-19 19:28:17 UTC
This should be fixed in Factory now.